{% set renewal_basecmd = 'with pkiCert "' + ct_cert_renewal_command['role'] + '"' %}
{% set renewal_params = [renewal_basecmd] %}
{% for param in ct_cert_renewal_command['parameters'] %}
{% set p_value = ct_cert_renewal_command['parameters'][param] %}
{% if param == 'ip_sans' %}{% set p_value = ipv4_internal + ',' + p_value %}{% endif %}
{% if param == 'alt_names' and 'nomad' in labels and labels['nomad'] == "client" %}
{% set p_value = client_cert_name + ',' + p_value %}
{% endif %}
{{- renewal_params.append( '"' + param + '=' + p_value + '"' ) -}}
{% endfor %}
{% if hostcert_ttl %}
{{- renewal_params.append( '"ttl=' + hostcert_ttl + '"' ) -}}
{% endif %}
{{- "{{" -}}- {{ renewal_params | join(" ") }} -{{- "}}" -}}
{% raw %}
{{ .Cert }}
{{- .Cert | writeToFile "/etc/pki/tls/certs/hostcert.pem" "" "" "0644" -}}
{{- .CA | writeToFile "/etc/pki/tls/certs/hostcert.pem" "" "" "0644" "append" -}}
{{- .Key | writeToFile "/opt/nomad/tls/key.pem" "" "" "0644" -}}
{{- .Key | writeToFile "/etc/pki/tls/private/hostkey.pem" "" "" "0644" -}}
{{- end -}}{%- endraw -%}
